{include="header"}

<script type="text/javascript">
   function fs_marcar_todo()
   {
      $('#f_enable_pages input:checkbox').prop('checked', true);
   }
   function fs_marcar_nada()
   {
      $('#f_enable_pages input:checkbox').prop('checked', false);
   }
   function eliminar(name)
   {
      if( confirm("¿Realmente desea eliminar este plugin?") )
      {
         window.location.href = '{$fsc->url()}&delete_plugin='+name+'#plugins';
      }
   }
   function descargar_plugin_inestable(id)
   {
      if( confirm("Este plugin está marcado como inestable ¿Estas seguro de que quieres descargarlo?") )
      {
         window.location.href = '{$fsc->url()}&caca={$fsc->random_string(4)}&download2='+id+'#plugins';
      }
   }
   $(document).ready(function() {

      {if="$fsc->step=='1'"}
      $('#tab_panel_control a[href="#t_descargas"]').tab('show');
      {/if}

      if(window.location.hash.substring(1) == 'paginas')
      {
         $('#tab_panel_control a[href="#t_paginas"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'plugins')
      {
         $('#tab_panel_control a[href="#t_plugins"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'descargas')
      {
         $('#tab_panel_control a[href="#t_descargas"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'avanzado')
      {
         $('#tab_panel_control a[href="#t_avanzado"]').tab('show');
      }
   });
</script>

{if="!$fsc->step"}
<div class="well">
   <div class="page-header" style="margin-top: 0px;">
      <h1>
         Bienvenido a Sartin
         <small>{$fsc->version()}</small>
      </h1>
   </div>
   <p class="help-block">
      Ya tienes instalado el núcleo. Como ves, el núcleo permite gestionar páginas,
      plugins y usuarios. Pulsa continuar para seguir con la instalación.
   </p>
   <a href="#" class="btn btn-sm btn-info" onclick="fs_marcar_todo();f_enable_pages.submit();">
      <span class="glyphicon glyphicon-ok"></span>&nbsp; Continuar
   </a>
</div>
{elseif="$fsc->step=='1'"}
<div class="well">
   <div class="page-header" style="margin-top: 0px;">
      <h1>
         <i class="fa fa-puzzle-piece"></i> Plugins
      </h1>
   </div>
   <p class="help-block">
      El núcleo solamente se encarga de la gestión de usuarios, plugins y páginas.
      Para todo lo demás tienes los plugins.
      <br/>
      Los plugins instalados los tienes en la pestaña <b>plugins</b>.
      <br/>
      Además, toda la facturación y contabilidad básica la tiene el plugin
      <b>facturacion_base</b>. Puedes activarlo automáticamente pulsando
      este botón.
   </p>
   <a href="{$fsc->url()}&caca={$fsc->random_string(4)}&enable=facturacion_base#plugins" class="btn btn-sm btn-info">
      <span class="glyphicon glyphicon-download-alt"></span>&nbsp; Activar facturacion_base
   </a>
   <a href="{$fsc->url()}&caca={$fsc->random_string(4)}&skip=TRUE#descargas" class="btn btn-sm btn-warning">
      <span class="glyphicon glyphicon-remove"></span>&nbsp; No, gracias
   </a>
</div>
{else}
<div class="container-fluid" style="margin-top: 10px;">
   <div class="row">
      <div class="col-xs-6">
         <div class="btn-group">
            <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            {if="$fsc->page->is_default()"}
            <a class="btn btn-sm btn-default active" href="{$fsc->url()}&amp;default_page=FALSE" title="desmarcar como página de inicio">
               <span class="glyphicon glyphicon-home"></span>
            </a>
            {else}
            <a class="btn btn-sm btn-default" href="{$fsc->url()}&amp;default_page=TRUE" title="marcar como página de inicio">
               <span class="glyphicon glyphicon-home"></span>
            </a>
            {/if}
         </div>
         <div class="btn-group">
            <a class="btn btn-sm {if="$fsc->check_for_updates()"}btn-info{else}btn-default{/if}" href="updater.php" title="Actualizador">
               <span class="glyphicon glyphicon-upload"></span>
               <span class="hidden-xs">&nbsp; Actualizador</span>
            </a>
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
         </div>
      </div>
      <div class="col-xs-6 text-right">
         <h2 style="margin-top: 0px;">Panel de control</h2>
      </div>
   </div>
</div>
{/if}

<div id="tab_panel_control" role="tabpanel">
   <ul class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#t_paginas" aria-controls="t_paginas" role="tab" data-toggle="tab">
            <i class="fa fa-check-square"></i>
            <span class="hidden-xs">&nbsp; Menú</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#t_plugins" aria-controls="t_plugins" role="tab" data-toggle="tab">
            <i class="fa fa-puzzle-piece"></i>
            <span class="hidden-xs">&nbsp; Plugins</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#t_avanzado" aria-controls="t_avanzado" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-wrench"></span>
            <span class="hidden-xs">&nbsp; Avanzado</span>
         </a>
      </li>
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="t_paginas">
         <form id="f_enable_pages" action="{$fsc->url()}" method="post" class="form">
            <input type="hidden" name="modpages" value="TRUE"/>
            {if="count($fsc->paginas)>10"}
            <div class="container-fluid" style="margin-top: 15px; margin-bottom: 10px;">
               <div class="row">
                  <div class="col-xs-6">
                     <div class="btn-group">
                        <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_todo()" title="Marcar todo">
                           <span class="glyphicon glyphicon-check"></span>
                        </button>
                        <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_nada()" title="Desmarcar todo">
                           <span class="glyphicon glyphicon-unchecked"></span>
                        </button>
                        <!--
                        {$sin_activar=0}
                        {loop="$fsc->paginas"}
                           {if="!$value->enabled"}{$sin_activar+=1}{/if}
                        {/loop}
                        -->
                        {if="$sin_activar>0"}
                        <button class="btn btn-sm btn-warning" type="button" onclick="fs_marcar_todo()" title="Hay {$sin_activar} página(s) no activa(s).">
                           <b>{$sin_activar}</b>
                        </button>
                        {/if}
                     </div>
                  </div>
                  <div class="col-xs-6 text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span>
                        <span class="hidden-xs">&nbsp; Guardar</span>
                     </button>
                  </div>
               </div>
            </div>
            {/if}
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th class="text-left">Página</th>
                        <th class="text-left">Menú</th>
                        <th class="text-center">Existe</th>
                     </tr>
                  </thead>
                  {loop="$fsc->paginas"}
                  <tr{if="!$value->exists"} class="danger"{/if}>
                     <td>
                        <input class="checkbox-inline" type="checkbox" name="enabled[]" value="{$value->name}"{if="$value->enabled"} checked=""{/if}/>
                        &nbsp; <a target="_blank" href="{$value->url()}">{$value->name}</a>
                     </td>
                     <td>
                        {if="$value->important"}
                        <span class="glyphicon glyphicon-star"></span> » {$value->title}
                        {elseif="$value->show_on_menu"}
                        <span class="text-capitalize">{$value->folder}</span> » {$value->title}
                        {else}
                        -
                        {/if}
                     </td>
                     <td class="text-center">
                        {if="$value->exists"}
                        <span class="glyphicon glyphicon-ok"></span>
                        {else}
                        <span class="glyphicon glyphicon-exclamation-sign" title="No se encuentra el controlador o pertenece a un plugin inactivo"></span>
                        {/if}
                     </td>
                  </tr>
                  {/loop}
               </table>
            </div>
            <div class="container-fluid">
               <div class="row">
                  <div class="col-xs-6">
                     <div class="btn-group">
                        <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_todo()" title="Marcar todo">
                           <span class="glyphicon glyphicon-check"></span>
                        </button>
                        <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_nada()" title="Desmarcar todo">
                           <span class="glyphicon glyphicon-unchecked"></span>
                        </button>
                     </div>
                  </div>
                  <div class="col-xs-6 text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span>
                        <span class="hidden-xs">&nbsp; Guardar</span>
                     </button>
                  </div>
               </div>
            </div>
         </form>
      </div>
      <div role="tabpanel" class="tab-pane" id="t_plugins">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Plugin</th>
                     <th class="text-left">Descripción</th>
                     <th class="text-right">Versión</th>
                     <th class="text-right">
                        <span class="glyphicon glyphicon-flash" aria-hidden="true" title="Prioridad"></span>
                     </th>
                     <th class="text-right" width="190">Acciones</th>
                  </tr>
               </thead>
               {loop="$fsc->plugin_advanced_list()"}
               <tr{if="!$value['compatible']"} class="danger"{elseif="$value['enabled']"} class="success"{/if}>
                  <td>{$value['name']}</td>
                  <td>
                     <p>{$value['description']}</p>
                     {if="$value['wizard']!='' AND $value['enabled']"}
                     <a href="index.php?page={$value['wizard']}" class="btn btn-xs btn-default">
                        <span class="glyphicon glyphicon-cog" aria-hidden="true"></span> &nbsp; Configurar
                     </a>
                     {/if}
                  </td>
                  <td class="text-right">
                     <a href="{#FS_COMMUNITY_URL#}/index.php?page=community_changelog&plugin={$value['name']}&version={$value['version']}" target="_blank">
                        {$value['version']}
                     </a>
                  </td>
                  <td class="text-right">{$value['prioridad']}</td>
                  <td class="text-right">
                     {if="$value['enabled']"}
                     <a class="btn btn-sm btn-danger" href="{$fsc->url()}&disable={$value['name']}#plugins">
                        <span class="glyphicon glyphicon-remove"></span> &nbsp; Desactivar
                     </a>
                     {else}
                     <div class="btn-group">
                        {if="$value['compatible']"}
                        <a class="btn btn-sm btn-default" href="{$fsc->url()}&caca={$fsc->random_string(4)}&enable={$value['name']}#plugins">
                           <span class="glyphicon glyphicon-ok"></span> &nbsp; Activar
                        </a>
                        {else}
                        <a class="btn btn-sm btn-default" href="#" onclick="alert('Le falta el archivo sartin.ini')">
                           <span class="glyphicon glyphicon-remove"></span> &nbsp; Incompatible
                        </a>
                        {/if}
                        <a class="btn btn-sm btn-default" onclick="eliminar('{$value['name']}')" title="eliminar plugin">
                           <span class="glyphicon glyphicon-trash"></span>
                        </a>
                     </div>
                     {/if}
                  </td>
               </tr>
               {else}
               {/loop}
            </table>
         </div>
         <div class="container-fluid">
            <div class="row">
               <div class="col-xs-12">
                  <div class="btn-group">
                     <a href="#" class="btn btn-sm btn-success" data-toggle="modal" data-target="#modal_add_plugin">
                        <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
                        <span class="hidden-xs">&nbsp; Añadir</span>
                     </a>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <div role="tabpanel" class="tab-pane" id="t_avanzado">
         <form class="form" action="{$fsc->url()}&caca={$fsc->random_string(4)}#avanzado" method="post">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-md-3 col-sm-4">
                     <div class="form-group">
                        Zona horaria:
                        <select class="form-control" name="zona_horaria">
                        {loop="$fsc->get_timezone_list()"}
                           {if="isset($GLOBALS['config2']['zona_horaria'])"}
                           <option value="{$value['zone']}"{if="$value['zone']==$GLOBALS['config2']['zona_horaria']"} selected=""{/if}>
                              {$value['diff_from_GMT']} - {$value['zone']}
                           </option>
                           {else}
                           <option value="{$value['zone']}">{$value['diff_from_GMT']} - {$value['zone']}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Portada:
                        <select name="homepage" class="form-control">
                           {loop="$fsc->paginas"}
                           <option value="{$value->name}"{if="$value->name==$GLOBALS['config2']['homepage']"} selected=""{/if}>{$value->name}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Decimales de los totales:
                        <select name="nf0" class="form-control">
                        {loop="$fsc->nf0()"}
                           <option value="{$value}"{if="$value==$GLOBALS['config2']['nf0']"} selected=""{/if}>{$value}</option>
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Decimales de los precios:
                        <select name="nf0_art" class="form-control">
                        {loop="$fsc->nf0()"}
                           <option value="{$value}"{if="$value==$GLOBALS['config2']['nf0_art']"} selected=""{/if}>{$value}</option>
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Separador para los Decimales:
                        <select name="nf1" class="form-control">
                        {loop="$fsc->nf1()"}
                           <option value="{$key}"{if="$key==$GLOBALS['config2']['nf1']"} selected=""{/if}>{$value}</option>
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Separador para los Millares:
                        <select name="nf2" class="form-control">
                           <option value="">(Ninguno)</option>
                           {loop="$fsc->nf1()"}
                           <option value="{$key}"{if="$key==$GLOBALS['config2']['nf2']"} selected=""{/if}>{$value}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Símbolo Divisa:
                        <select name="pos_divisa" class="form-control">
                           <option value="right"{if="$GLOBALS['config2']['pos_divisa']=='right'"} selected=""{/if}>123 {$fsc->simbolo_divisa()}</option>
                           <option value="left"{if="$GLOBALS['config2']['pos_divisa']=='left'"} selected=""{/if}>{$fsc->simbolo_divisa()}123</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <p class="help-block">
                        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                        La configuración de decimales y separadores de decimales y millares
                        se aplica únicamente a los listados y formatos de impresión. Para los
                        campos editables se utiliza la configuración del sistema operativo.
                     </p>
                  </div>
               </div>
               <div class="row bg-info">
                  <div class="col-md-12 col-sm-12">
                     <h2>
                        <i class="fa fa-language"></i>&nbsp; Traducciones:
                     </h2>
                     <p class="help-block">
                        FACTURA y FACTURAS se traducen únicamente en los documentos de ventas.
                        FACTURA_SIMPLIFICADA se utiliza en los tickets.
                     </p>
                  </div>
               </div>
               <div class="row bg-info">
                  {loop="$fsc->traducciones()"}
                  <div class="col-md-2 col-sm-3">
                     <div class="form-group">
                        <span class="text-uppercase">{$value['nombre']}:</span>
                        <input class="form-control" type="text" name="{$value['nombre']}" value="{$value['valor']}" autocomplete="off"/>
                     </div>
                  </div>
                  {/loop}
               </div>
               <div class="row bg-warning">
                  <div class="col-md-12 col-sm-12">
                     <h2>
                        <span class="glyphicon glyphicon-warning-sign" aria-hidden="true"></span>
                        &nbsp; Desarrollo:
                     </h2>
                  </div>
               </div>
               <div class="row bg-warning">
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Comprobaciones en la base de datos:
                        <select name="check_db_types" class="form-control">
                           <option value="1"{if="$GLOBALS['config2']['check_db_types']==1"} selected=''{/if}>
                              Comprobar los tipos de las columnas de las tablas
                           </option>
                           <option value="0"{if="$GLOBALS['config2']['check_db_types']!=1"} selected=''{/if}>
                              No comprobar los tipos
                           </option>
                        </select>
                        <p class="help-block">
                           Tendrás que <a href="index.php?page=admin_info">limpiar la caché</a>
                           para que comiencen las comprobaciones.
                        </p>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Tipo entero:
                        <input class="form-control" type="text" name="db_integer" value="{$GLOBALS['config2']['db_integer']}"/>
                        <p class="help-block">Tipo a usar en la base de datos (MySQL).</p>
                     </div>
                  </div>
                  <div class="col-md-2 col-sm-2">
                     <div class="form-group">
                        Comprobar claves ajenas:
                        <select name="foreign_keys" class="form-control">
                           <option value="1"{if="$GLOBALS['config2']['foreign_keys']==1"} selected=''{/if}>Si</option>
                           <option value="0"{if="$GLOBALS['config2']['foreign_keys']==0"} selected=''{/if}>No</option>
                        </select>
                        <p class="help-block">Sólo se puede desactivar en MySQL.</p>
                     </div>
                  </div>
                  <div class="col-md-4 col-sm-4">
                     <div class="form-group">
                        Permitir acceso desde estas IPs:
                        <input class="form-control" type="text" name="ip_whitelist" value="{$GLOBALS['config2']['ip_whitelist']}"/>
                        <p class="help-block">Los admninistradores pueden acceder desde cualquier IP.</p>
                     </div>
                  </div>
               </div>
               <div class="row bg-warning">
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Generar los libros contables:
                        <select name="libros_contables" class="form-control">
                           <option value="1"{if="$GLOBALS['config2']['libros_contables']==1"} selected=''{/if}>Si</option>
                           <option value="0"{if="$GLOBALS['config2']['libros_contables']==0"} selected=''{/if}>No</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-md-3 col-sm-3">
                     <div class="form-group">
                        Algoritmo de nuevo código:
                        <select name="new_codigo" class="form-control">
                           <option value="eneboo"{if="$GLOBALS['config2']['new_codigo']=='eneboo'"} selected=''{/if}>Compatible con Eneboo</option>
                           <option value="new"{if="$GLOBALS['config2']['new_codigo']=='new'"} selected=''{/if}>TIPO + EJERCICIO + {#FS_SERIE#} + NÚMERO</option>
                        </select>
                     </div>
                  </div>
               </div>
               <div class="row" style="margin-top: 20px;">
                  <div class="col-md-6 col-sm-6">
                     <button class="btn btn-sm btn-danger" type="button" onclick="window.location.href='{$fsc->url()}&caca={$fsc->random_string(4)}&reset=TRUE#avanzado'">
                        <span class="glyphicon glyphicon-edit"></span>&nbsp; Configuración por defecto
                     </button>
                  </div>
                  <div class="col-md-6 col-sm-6 text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                     </button>
                  </div>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>

<div class="modal fade" id="modal_add_plugin" tabindex="-1" role="dialog" aria-hidden="true">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
            </button>
            <h4 class="modal-title">
               <i class="fa fa-puzzle-piece"></i>&nbsp; Añadir un plugin
            </h4>
            <p class="help-block">
               Si tienes un plugin en un archivo .zip, puedes subirlo e instalarlo desde aquí.
            </p>
         </div>
         <div class="modal-body">
            <form class="form" action="{$fsc->url()}#plugins" enctype="multipart/form-data" method="post">
               <input type="hidden" name="install" value="TRUE"/>
               <div class="form-group">
                  <input type="file" name="fplugin" accept="application/zip"/>
               </div>
               <p class="help-block">
                  Este servidor admite un tamaño máximo de {$fsc->get_max_file_upload()} MB.
                  Si el plugin ocupa más, dará error al subirlo, incluso puede que no salga
                  nada.
               </p>
               <button type="submit" class="btn btn-primary" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-import" aria-hidden="true"></span>&nbsp; Añadir
               </button>
            </form>
         </div>
      </div>
   </div>
</div>

{include="footer"}
